package app

import (
	"common/log"
	"common/utils"
	"gateway/config"
	"math/rand"
)

// ModuleBase 基础模块，或者一些零散的模块
type ModuleBase struct {
}

func (p *ModuleBase) init() error {
	// 配置
	if err := config.LoadConfig(); err != nil {
		return err
	}
	cfg := config.Get()
	// 日志
	log.Init(cfg.Log.Debug, cfg.Log.MaxSize, cfg.Log.MaxBackups, cfg.Log.MaxAge, cfg.Log.Level)
	// 雪花
	utils.InitSnowflake(int64(rand.Intn(1000)))
	return nil
}

func (p *ModuleBase) start() error {
	return nil
}

func (p *ModuleBase) stop() error {
	return nil
}
